Implement search terms hilighting
this is the implementation bug for bug 

We should expand formatValue to also hilight search terms when an url is recognized as a search.

We have a new API to parse urls into search terms implemented in bug  we can use here. We should expand it though to provide us the ranges directly. Then this should become quite trivial.

Note: the UX mock-up is here:  (see bug  for further insight).
